<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />




    <!-- Favicon ICO-->
    <link rel="icon" type="image/x-icon" href='http://localhost:8000/uploads/images/favicon.ico'>


    <!-- Stylesheet Imports -->

    <!-- Bootstrap CDN-->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel='stylesheet' href='/static/css/totop_button.css'>

    <!-- Bootstrap Datepicker CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/css/bootstrap-datepicker.min.css">
    <!-- Script Imports-->

    <!-- jQuery CDN -->
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>

    <!-- Popper CDN -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>

    <!-- Bootstrap CDN-->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

    <!-- Axios CDN -->
    <script src='https://cdnjs.cloudflare.com/ajax/libs/axios/0.25.0/axios.min.js'></script>

    <!-- 
        Global Variables
      Inclues frontEndUrl, backEndUrl, user images, and product images
    -->
    <script src='/static/js/globalVariables.js'></script>




    <script>
        if (!token || userInfo.role === "Customer") {
            window.location.assign("/products")
        }
    </script>


    <title>Create New Product</title>
</head>

<!-- 
            Global Variables
            Inclues frontEndUrl, backEndUrl, user images, and product images
        -->


<script>
    if (!token || userInfo.role === "Customer") {
        window.location.assign("/products")
    }
</script>
<script>
    var r = /\d+/;
    var s = window.location.href.replace(frontEndUrl + "/products/", '');
    const productid = parseInt((s.match(r)));
</script>


<body class="bg-light" onload="axiosGetAllDiscountsAndPostDiscount()">

    <!--back to top button-->
    <button class='bg-dark text-white' onclick="topFunction()" id="myBtn" title="Go to top">Top</button>


    <header>
        <nav class="navbar navbar-expand-md navbar-light bg-light">
            <a class="navbar-brand" href="/">SPIT!</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mr-auto" id='menu'>
                    <li class="nav-item">
                        <a class="nav-link" href="/category">Categories</a>
                    </li>
                </ul>
                <ul class="navbar-nav" id='LoginOrProfile'></ul>
            </div>
        </nav>
    </header>
    <script src='/static/js/menu.js'></script>






    <div class='row' id='discounts'></div>


    <fieldset class=' ml-5 mt-5'>
        <h4>Create New Discount</h4>
        <div class='row'>
            <div class='col-6'>

                <div id='postDiscountResponse'></div>

                <div class="form-group">
                    Discount Name
                    <textarea type="text" class="form-control" id="discountname" row='1' maxlength='45'></textarea>
                </div>


                <label for="discount">Discount:</label>
                <div class="input-group mb-3">
                    <input type="number" class="form-control " aria-describedby="percentage_sign" name='discount' id="discount">
                    <div class="input-group-append">
                        <span class="input-group-text" id="percentage_sign">%</span>
                    </div>
                </div>

                <div class="form-group">
                    <label for='rangeOfDates' style='width:100%;'>Dates</label>
                    <input name='rangeOfDates' id="datepicker" readonly='readonly' />
                </div>

                <div class="form-group">
                    <button type='submit' class="btn btn-primary" onclick="postDiscount()">Create New Discount</button>
                </div>
            </div>
        </div>
    </fieldset>
    <script>
    </script>



    <!-- <script src='moment.min.js'></script>
    <script src='daterangepicker.js'></script> -->

    <script src='/static/js/totop_button.js'></script>


    <!-- Date Picker CDN-->
    <!-- <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/latest/jquery.min.js"></script> -->


    <!-- Bootstrap Datepicker JS -->
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.9.0/js/bootstrap-datepicker.min.js"></script> -->

    <!-- <script type="text/javascript" src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script> -->
    <!--Litepicker-->
    <script src="https://cdn.jsdelivr.net/npm/litepicker/dist/litepicker.js"></script>
    <!-- <script src='/static/js/discountGetAllPost.js'></script> -->
    <script src='/static/js/discount/functions.js'></script>
    <script src='/static/js/discount/axiosFunctions.js'></script>

    <script src='/static/js/error/errorHandling.js'></script>


    <script>
    </script>



    <!-- <script>
        $('input[name="dates"]').daterangepicker();
    </script> -->
</body>

</html>